Bug 171545 - Please do not hard code file name into system-config-soundcard message
Please do not hard code file name into system-config-soundcard message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-22 16:07 EDT by Christian Rose
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 09:43:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2005-10-22 16:07:45 EDT
#: ../src/soundcard.py:300
msgid ""
"Automatic detection of the sound card did not work.  Audio will not be "
"available on the system.\n"
"You can inspect /root/scsound.log and file a new bug\n"
"at http://bugzilla.redhat.com.\n"
"\n"
"Please click OK to continue."

Please do not hard code file names into translateable messages.

1) Hard coding means that all translations will need to be updated should the
location or file name change at any time in the future.
2) The file name and location should never need any translation, and placing a
file name and location in the message always means that there will be a danger
of it being accidentally mistranslated by a translator.

Please use a *printf-style approach instead, placing the location and file name
inside a specifier.
Comment 1 Martin Stransky 2005-10-26 09:43:40 EDT
fixed in devel

Note You need to log in before you can comment on or make changes to this bug.